changeset 230:13b137e470cb draft

added ns2ip script (to make it easy to fix the dnsmasq autogen script)
author Nick <nick@somerandomnick.ano>
date Thu, 28 Oct 2010 02:24:52 +0000
parents 350b492e8295
children f03efd72f057 da3307e29b62 0c117f08753a
files scripts/ns2ip
diffstat 1 files changed, 15 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/ns2ip	Thu Oct 28 02:24:52 2010 +0000
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+opt="$1"
+if [ "x$opt" = "x-f" ]; then
+ shift
+elif ! ./scripts/check_db_safety; then
+ exit 1
+fi
+ns="$1"
+
+path="`find db/dom/ -ipath '*/ns/'\"$ns\" -size +1c | head -n 1`"
+if [ "x$path" = "x" ]; then
+ exit 1
+fi
+cat "$path"